--------------------
--------------------
-- Cooldown Module--
--------------------
--------------------

local width, height = 200, 32
local totalcds = 1
local v = SN.V

function SN:CoolDowns()

	SN.F.cooldowns = CreateFrame("Frame", "CDFrame", UIParent)
	local cds = SN.F.cooldowns

	cds:SetPoint("CENTER", UIParent, "CENTER", 0, 100)
	cds:SetSize(width + 8, (height + 8) * totalcds)
	cds:SetBackdrop({ bgFile = v.media.blankTex })
	cds:SetBackdropColor(0.1, 0.1, 0.1, 0.4)
	
end

function SN:CreateCDBar(unit, spellid, icon, cdtimer, index)
	
	--Start the CD Timer
	cdTimer = SN:ScheduleTimer("CleanFramesUp", cdtimer, 'SNCD'..index)
	
	--Make the Parent frame for the CD timer
	local frame = CreateFrame("Frame", 'SNCD'..index, SN.F.cooldowns)
	frame:SetPoint("TOPLEFT", SN.F.cooldowns, "TOPLEFT", 0, 0)
	frame:SetSize(200, 32)
	frame:SetBackdrop({ bgFile = v.media.blankTex })
	frame:SetBackdropColor(0.1, 0.1, 0.1, 0.4)
	
	--The Player who casted the spell Text
	frame.unit = frame:CreateFontString(nil, "OVERLAY")
	frame.unit:SetPoint("TOPLEFT", frame, "TOPLEFT", 40, 0)
	frame.unit:SetFont(v.media.font, 14, "OUTLINE")
	frame.unit:SetJustifyH("LEFT")
	frame.unit:SetShadowOffset(1, -1)
	frame.unit:SetTextColor(0, 1, 0)
	frame.unit:SetText(unit)
	
	--Make the frame for the Spell Icon
	local frameicon = CreateFrame("Button", 'SNCDIcon'..index, SN.F.cooldowns);
	frameicon:SetPoint("TOPLEFT", frame, "TOPLEFT")
	frameicon:SetBackdropBorderColor(0.1, 0.1, 0.1, 1)
	frameicon:SetParent(frame)
	frameicon:SetSize(32, 32)
	
	--The texture for the Spell Icon
	frameicon.icon = frameicon:CreateTexture(nil, "OVERLAY")
	frameicon.icon:SetTexCoord(.08, .92, .08, .92)
	frameicon.icon:SetTexture(icon)
	frameicon.icon:SetPoint("TOPLEFT", frameicon, "TOPLEFT")
	
	--The CD timer Bar
	frametimer = CreateFrame("StatusBar", 'SNCDtimer'..index, SN.F.cooldowns)
	frametimer:SetPoint("CENTER", frame, "CENTER", 0, 0)
	frametimer:SetSize(160, 32)
	frametimer:SetStatusBarTexture(v.media.minTex)	
	frametimer:SetStatusBarColor(powcolor.r, powcolor.g, powcolor.b, 1)
	frametimer:SetMinMaxValues(0, cdtimer)	
	frametimer:SetValue(frame:TimeLeft(cdTimer))
	frametimer:SetScript("OnUpdate", function(self)
							self:SetValue(frame:TimeLeft(cdTimer))
							end)
	frametimer:SetBackdrop({
				bgFile = v.media.blankTex,
			})
	frametimer:SetBackdropColor(0.1, 0.1, 0.1, 0)
end

function SN:CleanFramesUp(frame)

end